<?php
App::uses('AppComponent', 'Controller/Component');

class WishlistComponent extends AppComponent {

	public $wishlistItems = array();

	/**
	 * Component startup
	 *
	 */
	public function startup(Controller $Controller) {
		if ($this->_controller->Auth->user()) {


			$model = EvClassRegistry::init('EvWishlist.WishlistItem');

			$items = $model->find('all', array(
				'conditions' => array(
					'user_id' => $this->_controller->Auth->user('User.id')
				)
			));

			if (! empty($items)) {

				foreach ($items as $item) {
					$this->wishlistItems[$item['WishlistItem']['model']][$item['WishlistItem']['model_id']] = $item['WishlistItem']['id'];
				}
			}
			$this->_controller->set('wishlistItems', $this->wishlistItems);
		}

		if ($this->_controller->request->is('post') && ! empty($this->_controller->request->data['AddToWishlist'])) {



		}
	}

}
