$(document).ready(function() {
	$('.add-to-wishlist').on('click touchend', function(e) {
		var $this = $(this);
		e.preventDefault();
		$(this).addClass('loading');
		if ($(this).hasClass('active')) {
			// Remove from wishlist
			var post = $.post('/my-wishlist/delete/', {model: $(this).data('model'), model_id: $(this).data('id')});

			post.done(function(data){
				if (data == '1') {
					$this.removeClass('active');
					$this.removeClass('loading');

					$(this).trigger('wishlist_added');
				}
			});
		} else {
			var post = $.post('/my-wishlist/add/', {model: $(this).data('model'), model_id: $(this).data('id')});

			post.done(function(data){
				if (data == '1') {
					$this.addClass('active');
					$this.removeClass('loading');

					$(this).trigger('wishlist_removed');
				}
			});
		}
	});
});
